Get Plugin Metadata
GET /apisix/admin/plugin_metadata/{plugin_name}
GET /apisix/admin/plugin_metadata/{plugin_name}Interactive request editor loads with JavaScript.
X-API-KEY<token>
Admin API key configured in config.yaml under deployment.admin.admin_key. You can also pass the key as a query parameter api_key or cookie x_api_key.
In: header
Path Parameters
plugin_name*string
Plugin name.
Length
1 <= lengthResponse Body
application/json
application/json
application/json
curl -X GET "http://127.0.0.1:9180/apisix/admin/plugin_metadata/limit-count"Successful response.
{
"value": {
"log_format": {
"host": "$host",
"@timestamp": "$time_iso8601",
"client_ip": "$remote_addr"
}
},
"key": "/apisix/plugin_metadata/syslog",
"modifiedIndex": 156,
"createdIndex": 156
}**Unauthorized** — The API key is missing, invalid, or lacks permission.
{
"error_msg": "failed to check token",
"description": "missing apikey"
}{
"error_msg": "failed to check token",
"description": "wrong apikey"
}{
"error_msg": "failed to check token",
"description": "invalid method for role viewer"
}Key not found
{
"error_msg": "Key not found"
}Complete operation details and schema variants
GET /apisix/admin/plugin_metadata/{plugin_name}
Get Plugin Metadata
Retrieve metadata for a specific plugin by plugin name.
Parameters
plugin_name(path, string, required): Plugin name.
Responses
200: Successful response.value(object, optional): Plugin metadata values.key(string, optional): Unique key identifier for this plugin metadata in the data store.modifiedIndex(integer, optional): The index number representing the most recent update to the object. It starts with the same value ascreatedIndexand increases by 1 each time the resource is modified.createdIndex(integer, optional): The index number representing when the object was first created. It indicates the creation order of the resource.401: Unauthorized — The API key is missing, invalid, or lacks permission.error_msg(string, required): Authentication error message.description(string, optional): Detailed reason for the authentication failure.404: Not Found — The specified resource does not exist.error_msg(string, required): Error message indicating the resource was not found.
cURL
curl -X GET 'http://127.0.0.1:9180/apisix/admin/plugin_metadata/{plugin_name}'